export interface IDictionary<T> {
    Add(key: string, value: T): any;
    ContainsKey(key: string): boolean;
    Count(): number;
    Item(key: string): T;
    Keys(): string[];
    Remove(key: string): T;
    Values(): T[];
}
export declare class Dictionary<T> implements IDictionary<T> {
    private items;
    private count;
    ContainsKey(key: string): boolean;
    Count(): number;
    Add(key: string, value: T): void;
    Remove(key: string): T;
    Item(key: string): T;
    Keys(): string[];
    Values(): T[];
}
